attachBgrd-methods {xps} | R Documentation

## Attach/Remove Background Intensities

### Description

Attach/remove background intensities to/from `DataTreeSet`.

Usage

`attachBgrd(object, treenames = "*")`

`removeBgrd(object)`

### Arguments

`object` | Object of class `"DataTreeSet"`.
`treenames` | Object of class `"list"` representing the names of the `ROOT` background trees.

### Details

Whenever one of the `bgcorrect` methods will be applied to raw CEL intensities, the background intensities will be stored in `ROOT` background trees. However, the background intensities will not be saved as data.frame `bgrd`, thus avoiding memory problems. Function `attachBgrd` allows to fill slot `bgrd` on demand.

`attachBgrd` exports intensities from background trees from `ROOT` data file and saves as data.frame `bgrd`. `treenames` is a vector of tree names to attach; for `treenames="*"` all trees from slot `treenames` will be exported and background intensities attached as data.frame `bgrd`.

`removeBgrd` removes background intensities from `DataTreeSet` and replaces data.frame `bgrd` with an empty data.frame of dim(0,0).

### Value

A `DataTreeSet` object.

### Note

Do not use `attachBgrd` unless you know that your computer has sufficient RAM, especially when using exon arrays. It may be advisible to use a subset of `treenames` only.

### Author(s)

Christian Stratowa

### See Also

`attachInten`, `removeInten`

[Package xps version 1.2.10 Index]